package edu.unc.polygon.connector.amqp;

import org.identityconnectors.common.logging.Log;
import org.identityconnectors.framework.common.exceptions.ConfigurationException;
import org.identityconnectors.framework.common.objects.ObjectClass;
import org.identityconnectors.framework.spi.AbstractConfiguration;
import org.identityconnectors.framework.spi.ConfigurationProperty;

import java.io.*;
import java.nio.charset.Charset;
import java.util.*;
public class AmqpConfiguration extends AbstractConfiguration {

    private static final Log LOG = Log.getLog(AmqpConfiguration.class);

    //private ObjectClassHandlerConfiguration config = new ObjectClassHandlerConfiguration();

    //private File objectClassDefinition = null;
    private String AmqpUsername;
    private String AmqpPassword;
    private String AmqpHost;
    private String AmqpExchangename;
    private String AmqpQueuename;
    private String AmqpRoutingkey;
    private String AmqpUniqueAttribute;
    private String AmqpNameAttribute;
    private String AmqpPasswordAttribute;
    private String AmqpScimPayloadField;
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_USERNAME",
            helpMessageKey = "UI_AMQP_USERNAME_HELP")
    public String getAmqpUsername() {
        return AmqpUsername;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_PASSWORD",
            helpMessageKey = "UI_AMQP_PASSWORD_HELP")
    public String getAmqpPassword() {
        return AmqpPassword;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_HOST",
            helpMessageKey = "UI_AMQP_HOST_HELP")
    public String getAmqpHost() {
        return AmqpHost;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_EXCHANGE_NAME",
            helpMessageKey = "UI_AMQP_EXCHANGE_NAME_HELP")
    public String getAmqpExchangename() {
        return AmqpExchangename;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_QUEUE_NAME",
            helpMessageKey = "UI_AMQP_QUEUE_NAME_HELP")
    public String getAmqpQueuename() {
        return AmqpQueuename;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_ROUTING_KEY",
            helpMessageKey = "UI_AMQP_ROUTING_KEY_HELP")
    public String getAmqpRoutingkey() {
        return AmqpRoutingkey;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_UNIQUE_ATTRIBUTE",
            helpMessageKey = "UI_AMQP_UNIQUE_ATTRIBUTE_HELP")
    public String getAmqpUniqueAttribute() {
        return AmqpUniqueAttribute;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_NAME_ATTRIBUTE",
            helpMessageKey = "UI_AMQP_NAME_ATTRIBUTE_HELP")
    public String getAmqpNameAttribute() {
        return AmqpNameAttribute;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_PASSWORD_ATTRIBUTE",
            helpMessageKey = "UI_AMQP_PASSWORD_ATTRIBUTE_HELP")
    public String getAmqpPasswordAttribute() {
        return AmqpPasswordAttribute;
    }
    @ConfigurationProperty(
            displayMessageKey = "UI_AMQP_SCIM_PAYLOAD_FIELD",
            helpMessageKey = "UI_AMQP_SCIM_PAYLOAD_FIELD_HELP")
    public String getAmqpScimPayloadField() {
        return AmqpScimPayloadField;
    }

    public void setAmqpUsername(String AmqpUsername) {
        this.AmqpUsername = AmqpUsername;
    }
    public void setAmqpPassword(String AmqpPassword) {
        this.AmqpPassword = AmqpPassword;
    }
    public void setAmqpHost(String AmqpHost) {
        this.AmqpHost = AmqpHost;
    }
    public void setAmqpExchangename(String AmqpExchangename) {
        this.AmqpExchangename = AmqpExchangename;
    }
    public void setAmqpQueuename(String AmqpQueuename) {
        this.AmqpQueuename = AmqpQueuename;
    }
    public void setAmqpRoutingkey(String AmqpRoutingkey) {
        this.AmqpRoutingkey = AmqpRoutingkey;
    }
    public void setAmqpUniqueAttribute(String AmqpUniqueAttribute) {
        this.AmqpUniqueAttribute = AmqpUniqueAttribute;
    }
    public void setAmqpNameAttribute(String AmqpNameAttribute) {
        this.AmqpNameAttribute = AmqpNameAttribute;
    }
    public void setAmqpPasswordAttribute(String AmqpPasswordAttribute) {
        this.AmqpPasswordAttribute = AmqpPasswordAttribute;
    }
    public void setAmqpScimPayloadField(String AmqpScimPayloadField) {
        this.AmqpScimPayloadField = AmqpScimPayloadField;
    }
    @Override
    public void validate() {
        // TODO
    }

}
